;Tip1738:   LAYERCH.LSP       Change layer of attribute (c)2001, Sergey Tsurkan

;This program is designed  to change layers for attributes in blocks
;from any layer to current layer.
(prompt "\nHave desired layer current. Use LAYERCH to start a program")
(defun c:layerch 
(/ 
att                      ;selected attribute
lay                      ;record of selected entity
cl                       ;current layer
)
(setvar "cmdecho" 0)
(setq cl (getvar "clayer"))                       ;get current layer
(while                                            ;loop begins 
 (not (null                     
           (setq att (nentsel))
 )    )                                           ;end of while expression 
           (setq lay (entget (car att)))
 (setq lay (subst (cons 8 cl) (assoc 8 lay) lay)) ;change layer record in list
                  (entmod lay)                    ;modify entity
)                                                 ;end of loop
                  (command "regen")
                  (setvar "cmdecho" 1)
                  (princ)
) ;end of program


